/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
"use client";
import { cx, getStyles } from "../../../styles/styler.js";
import { Text } from "../../Text.js";
import { useModalConfig } from "./UDSModalConfigProvider.js";
import { jsx } from "react/jsx-runtime";
import { DialogHeading } from "@ariakit/react";
//#region src/components/client/Modal/ModalTitle.tsx
const ModalTitle = ({ children, slotProps }) => {
	const { size, variant } = useModalConfig();
	const classNames = { title: getStyles({
		modalSizeTitle: size,
		modalVariantTitle: variant
	}) };
	return /* @__PURE__ */ jsx(DialogHeading, {
		render: /* @__PURE__ */ jsx(Text, {
			as: "span",
			...slotProps?.root,
			className: cx(classNames.title, slotProps?.root?.className)
		}),
		children
	});
};
ModalTitle.displayName = "ModalTitle";
ModalTitle.__modalSlot = "title";
//#endregion
export { ModalTitle };
